IntegrationsDatabricks

Read one cluster configuration by id.

POST
/integrations/connections/{connection_id}/providers/databricks/clusters/get

Read one cluster configuration by id.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/databricks/clusters/get" \  -H "Content-Type: application/json" \  -d '{    "cluster_id": "0000-000000-aaaaaaaa"  }'
{  "cluster_id": "example",  "cluster_name": "example",  "state": "example",  "spark_version": "example",  "node_type_id": "example",  "num_workers": 0,  "autoscale": {    "min_workers": 0,    "max_workers": 0  },  "creator_user_name": "example",  "last_activity_at": "example",  "autotermination_minutes": 0,  "driver_node_type_id": "example",  "data_security_mode": "example"}